> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user onboarding links

Retrieves onboarding verification links for a user. For non-US users, returns verification links. For US users, returns KYC and terms links.


## OpenAPI

````yaml GET /api/users/{id}/link
openapi: 3.0.0
info:
  version: v1.0.0
  title: Users API
  description: API for managing users in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/users/{id}/link:
    get:
      summary: Get user onboarding links
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: ID of the user to get onboarding links for.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/onboardingLinksResponseSchema'
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFoundErrorSchema'
          description: Not Found
components:
  schemas:
    onboardingLinksResponseSchema:
      type: object
      properties:
        onboardingLink:
          type: string
          description: URL for the user's onboarding verification session.
          example: https://verification.aiprise.com/session/abc123
        termsLink:
          type: string
          description: URL for the terms and conditions (only for US users).
          example: https://bridge.com/terms/xyz789
      required:
        - onboardingLink
    notFoundErrorSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: integer
                example: 1
              message:
                type: string
                example: User not found
            required:
              - code
              - message
      required:
        - errors
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````